# base image
FROM alpine:3.7

# set vault version
ARG VAULT_VERSION=1.6.0
ENV VAULT_VERSION=${VAULT_VERSION}

# create a new directory
WORKDIR /vault

# download dependencies
RUN apk --no-cache add bash ca-certificates wget

# download and set up vault
RUN wget --quiet --output-document=/tmp/vault.zip https://releases.hashicorp.com/vault/${VAULT_VERSION}/vault_${VAULT_VERSION}_linux_amd64.zip && \
    unzip /tmp/vault.zip -d /vault && \
    rm -f /tmp/vault.zip && \
    chmod +x /vault

# update PATH
ENV PATH="PATH=$PATH:$PWD/vault"

# add the config file
ADD config.hcl .
ADD README.md .

# expose port 8200
EXPOSE 8200

# run vault
ENTRYPOINT ["vault"]